Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PageDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PageDefinition

All Implemented Interfaces
  DateableDefinition, NavigableDefinition, ProxiedDefinition, Serializable

    public class PageDefinition

extends Object
implements NavigableDefinition, DateableDefinition, ProxiedDefinition, Serializable

This class represents a persistent page.

See Also
  Serialized Form

Field Summary
`protected PageInstance` | `pageInstance`

Fields inherited from interface com.bea.netuix.application.definition.ProxiedDefinition
`HAS_PROXY_INFO, NO_PROXY_INFO, NOT_AVAILABLE`

Constructor Summary
`` | `PageDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, LayoutDefinitionId layoutDefinitionId, ThemeDefinitionId themeDefinitionId)` Constructors to create a new `PageDefinition` object.
`protected` | `PageDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, PageInstance pageInstance)` Constructor that takes a `PageInstance`.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`String` | `getDefinitionLabel()` Returns the definitionLabel associated with this page.
`String` | `getDescription()` Retrieves this page's localized description from its `LocalizationResource`.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Returns `LayoutDefinitionId` for menu associated with this `LayoutDefinition`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this page.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `PageDefinition` based on the locale of the request used for retrieving the `PageDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this page.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` associated with this page.
`PageDefinitionId` | `getPageDefinitionId()` Returns the `PageDefinitionId` for this page.
`PageInstanceId` | `getPrimaryInstanceId()` Returns the `BookInstanceId` for the primary page instance associated with this page.
`String` | `getProviderName()` Returns the name of the provider that provided the source entity that this proxied definition is created from
`Id` | `getProxiedDefinitionId()` Returns the `Id` of this proxied definition.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `PageDefinition`.
`String` | `getTitle()` Retrieves this page's localized title from its `LocalizationResource`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this page is scoped to.
`byte` | `hasProxyInfo()` Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.
`boolean` | `isHidden()` Returns true if the owning book should display this page as a tab in a menu.
`boolean` | `isPublic()` Returns whether this page is end-user created.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definitionLabel for this page.
`void` | `setHidden(boolean hidden)` Sets whether or not the owning book should display this page as a tab in a menu.
`void` | `setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)` Associates a layout with this page.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this page.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this page.
`void` | `setPublic(boolean _public)` Sets whether this page is end-user created.
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this page.
`void` | `setWebAppName(String webAppName)` Scopes this page to specified J2EE web application
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pageInstance

    protected PageInstance pageInstance

Constructor Detail

### PageDefinition

    public PageDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String definitionLabel,
                          boolean hidden,
                          boolean _public,
                          String webAppName,
                          LayoutDefinitionId layoutDefinitionId,
                          ThemeDefinitionId themeDefinitionId)

  Constructors to create a new `PageDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this page
    `definitionLabel` - uniquely identifies this page in non-persistent mode
    `hidden` - this page is not rendered if this attribute is true
    `_public` - specifies that this page is created by an end user if set to true
    `webAppName` - name of the J2EE web application that this page is scoped to
    `layoutDefinitionId` - reference to a persisted `LayoutDefinition` that is the layout for this page
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this page

### PageDefinition

    protected PageDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String definitionLabel,
                             boolean hidden,
                             boolean _public,
                             String webAppName,
                             PageInstance pageInstance)

  Constructor that takes a `PageInstance`.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this page
    `definitionLabel` - uniquely identifies this page in non-persistent mode
    `hidden` - this page is not rendered if this attribute is true
    `_public` - specifies that this page is created by an end user if set to true
    `webAppName` - name of the J2EE web application that this page is scoped to
    `pageInstance` -

Method Detail

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

  Returns the `PageDefinitionId` for this page. Returns null when the PageDefinition has not been retrieved by using the persistence API.

  Returns
    `PageDefinitionId` for this page

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` associated with this page. Returns null when the PageDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableDefinition`
  Returns
    `NaviagableDefinitionId` associated with this page
  See Also
    `NavigableDefinition`

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `PageDefinition` based on the locale of the request used for retrieving the `PageDefinition`.

  Specified by:
    `getLocalizationResource` in interface `NavigableDefinition`
  Returns
    `LocalizationResource` associated with this page

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this page. Returns null if no LocalizationResource is associated with this page. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this page

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this page.

  Parameters
    `localizationResource` -

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this page.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this page.

  Parameters
    `markupDefinitionId` -

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definitionLabel associated with this page.

  Specified by:
    `getDefinitionLabel` in interface `NavigableDefinition`
  Returns
    definitionLabel for this page

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definitionLabel for this page.

  Parameters
    `definitionLabel` -

### isHidden

    public boolean isHidden()

  Returns true if the owning book should display this page as a tab in a menu.

  Specified by:
    `isHidden` in interface `NavigableDefinition`
  Returns
    true if `PageDefinition` is hidden

### setHidden

    public void setHidden(boolean hidden)

  Sets whether or not the owning book should display this page as a tab in a menu.

  Parameters
    `hidden` - configures this page to not render if set to true

### isPublic

    public boolean isPublic()

  Returns whether this page is end-user created.

  Returns
    true if this page is end-user created.

### setPublic

    public void setPublic(boolean _public)

  Sets whether this page is end-user created.

  Parameters
    `_public` -

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this page is scoped to.

  Specified by:
    `getWebAppName` in interface `NavigableDefinition`
  Returns
    name of web application

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this page to specified J2EE web application

  Parameters
    `webAppName` - name of the web application to scope this page to

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Returns `LayoutDefinitionId` for menu associated with this `LayoutDefinition`

  Returns
    `LayoutDefinitionId`

### setLayoutDefinitionId

    public void setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)

  Associates a layout with this page.

  Parameters
    `layoutDefinitionId` - of menu associated with this page

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `PageDefinition`.

  Returns
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this page.

  Parameters
    `themeDefinitionId` - of theme associated with this page

### getPrimaryInstanceId

    public PageInstanceId getPrimaryInstanceId()

  Returns the `BookInstanceId` for the primary page instance associated with this page.

  Returns
    BookInstanceId

### getTitle

    public String getTitle()

  Retrieves this page's localized title from its `LocalizationResource`.

  Specified by:
    `getTitle` in interface `NavigableDefinition`
  Returns
    localized title for this page

### getDescription

    public String getDescription()

  Retrieves this page's localized description from its `LocalizationResource`.

  Specified by:
    `getDescription` in interface `NavigableDefinition`
  Returns
    localized description for this page

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database. This value only applies to this immediate object and not its children.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### getProviderName

    public String getProviderName()

  Description copied from interface: `ProxiedDefinition`
  Returns the name of the provider that provided the source entity that this proxied definition is created from

  Specified by:
    `getProviderName` in interface `ProxiedDefinition`
  Returns
    provider name

### hasProxyInfo

    public byte hasProxyInfo()

  Description copied from interface: `ProxiedDefinition`
  Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.

  Specified by:
    `hasProxyInfo` in interface `ProxiedDefinition`
  Returns
    whether proxy information is attached to this definition

### getProxiedDefinitionId

    public Id getProxiedDefinitionId()

  Description copied from interface: `ProxiedDefinition`
  Returns the `Id` of this proxied definition. Returns `NULL` if this entity is not a proxied definition

  Specified by:
    `getProxiedDefinitionId` in interface `ProxiedDefinition`
  Returns
    proxied definition `Id`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved